# Interface State

插件状态

interface State {
config?: unknown;
enabled: boolean;
mode: "box" | "mask";
selectAll: boolean;
selectedId: string | null;
visible: boolean;
}

#### Hierarchy (View Summary)

- BasePlugin.State
  - State

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:52

##### Index

### Properties

config?
enabled
mode
selectAll
selectedId
visible

## Properties

### `Optional` config

config?: unknown

插件的配置项

Inherited from State.config

- Defined in lib/plugins/BasePlugin/index.ts:22

### enabled

enabled: boolean

插件是否启用

Overrides State.enabled

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:54

### mode

mode: "box" | "mask"

插件模式

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:58

### selectAll

selectAll: boolean

全选

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:62

### selectedId

selectedId: string | null

选中ID

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:60

### visible

visible: boolean

插件整体是否可见

Overrides State.visible

- Defined in lib/plugins/ItemMaskPlugin/typing.ts:56